using Godot;

public partial class DebugText : TextEdit
{
  private Player _playerNode;

  public override void _Ready()
  {
    _playerNode = GetNode<Player>("/root/Main/Player");
  }
  public override void _Process(double delta)
  {
    Text = $"Can Shoot: {_playerNode.CanShoot}";
  }
}
